package capitulo07.bloque04;


import capitulo07.bloque04.listener.Calculadora;

import static capitulo04.utils.Utils.solicitarFloatScannerInline;
import static capitulo04.utils.Utils.solicitarIntScannerInline;

public class Main {
    public static void main(String[] args) {
        int opcion = 0;
        new AvisosCalculo();

        do {
            System.out.println("Calculadora (0 para salir):" +
                    "\n 1 - Suma" +
                    "\n 2 - Resta" +
                    "\n 3 - Multiplicación" +
                    "\n 4 - División" +
                    "\n 5 - Raiz Cuadrada");
            opcion = solicitarIntScannerInline("> ");

            float num1 = 0;
            float num2 = 0;

            switch (opcion) {
                case 1:
                    num1 = solicitarFloatScannerInline("Introduzca el primer sumando: ");
                    num2 = solicitarFloatScannerInline("Introduzca el segundo sumando: ");
                    System.out.println("Resultado de la suma: " + Calculadora.suma(num1, num2));
                    break;
                case 2:
                    num1 = solicitarFloatScannerInline("Introduzca el minuendo: ");
                    num2 = solicitarFloatScannerInline("Introduzca el sustraendo: ");
                    System.out.println("Resultado de la resta: " + Calculadora.resta(num1,num2));
                    break;
                case 3:
                    num1 = solicitarFloatScannerInline("Introduzca el primer factor: ");
                    num2 = solicitarFloatScannerInline("Introduzca el segundo factor: ");
                    System.out.println("Resultado de la multiplicación: " + Calculadora.multiplica(num1,num2));
                    break;
                case 4:
                    num1 = solicitarFloatScannerInline("Introduzca el dividendo: ");
                    num2 = solicitarFloatScannerInline("Introduzca el divisor: ");
                    System.out.println("Resultado de la división: " + Calculadora.divide(num1, num2));
                    break;
                case 5:
                    num1 = solicitarFloatScannerInline("Introduzca el radicando: ");
                    System.out.println("Resultado de la raiz cuadrada: " + Calculadora.hazRaizCuadrada(num1));
                    break;
            }


        } while (opcion != 0);

    }
}
